models/Paciente.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "paciente".
 *
 * @property int $pac_codigo
 * @property string $pac_nombre
 * @property string $pac_rut
 * @property int $pac_telefono
 * @property string $pac_direccion
 * @property string $pac_correo
 * @property string $pac_fecha_nac
 * @property string $pac_nombre_resp
 * @property int $pac_del
 *
 * @property Cita[] $citas
 */
class Paciente extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'paciente';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['pac_nombre', 'pac_rut', 'pac_telefono', 'pac_direccion', 'pac_correo', 'pac_fecha_nac', 'pac_del'], 'required'],
            [['pac_telefono', 'pac_del'], 'integer'],
            [['pac_fecha_nac'], 'safe'],
            [['pac_nombre', 'pac_nombre_resp'], 'string', 'max' => 50],
            [['pac_rut'], 'string', 'max' => 12],
            [['pac_direccion'], 'string', 'max' => 100],
            [['pac_correo'], 'string', 'max' => 255],
            ['pac_correo', 'email'],
			['pac_rut', 'unique'],
			['pac_rut','match', 'pattern' => '/^(\d{1}|\d{2})\.(\d{3}\.\d{3}-)([kK]{1}$|\d{1}$)/','message'=>Yii::t('app','RUT invalido, por favor ingrese el RUT en formato: 99.999.999-9')], 
				
			
			 /* ['pac_rut', 'validateRut'], */
			
        ];
    }

	protected function formatearRut($unformattedRut) {
            if (strpos($unformattedRut, '-') !== false ) {
                $splittedRut = explode('-', $unformattedRut);
                $number = number_format($splittedRut[0], 0, ',', '.');
                $verifier = strtoupper($splittedRut[1]);
                return $number . '-' . $verifier;
            }
          return number_format($unformattedRut, 0, ',', '.');
        }

/* public function validateRut($attribute, $params) {
        $data = explode('-', $this->rut);
        $evaluate = strrev($data[0]);
        $multiply = 2;
        $store = 0;
        for ($i = 0; $i < strlen($evaluate); $i++) {
            $store += $evaluate[$i] * $multiply;
            $multiply++;
            if ($multiply > 7)
                $multiply = 2;
        }
        isset($data[1]) ? $verifyCode = strtolower($data[1]) : $verifyCode = '';
        $result = 11 - ($store % 11);
        if ($result == 10)
            $result = 'k';
        if ($result == 11)
            $result = 0;
        if ($verifyCode != $result)
            $this->addError('rut', 'Rut inválido.');
    } */
	
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'pac_codigo' => 'Codigo',
            'pac_nombre' => 'Nombre',
            'pac_rut' => 'Rut',
            'pac_telefono' => 'Telefono',
            'pac_direccion' => 'Direccion',
            'pac_correo' => 'Correo',
            'pac_fecha_nac' => 'Fecha de nacimiento',
            'pac_nombre_resp' => 'Nombre del responsable',
            'pac_del' => 'Responsable',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCitas()
    {
        return $this->hasMany(Cita::className(), ['pac_codigo' => 'pac_codigo']);
    }
}

controllers/PacienteController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Paciente;
use app\models\PacienteSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\bootstrap\Alert;
use Mpdf\Mpdf;
use kartik\mpdf\Pdf;
/**
 * PacienteController implements the CRUD actions for Paciente model.
 */
class PacienteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Paciente models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('indexpdf', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	

    /**
     * Displays a single Paciente model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
    public function actionViewpdf($id)
    {
        return $this->render('viewpdf', [
            'model' => $this->findModel($id),
        ]);
		
    }
	
	public function actionViewpdf2($id)
    {
        return $this->render('viewpdf2', [
            'model' => $this->findModel($id),
        ]);
		
    }
    /**
     * Creates a new Paciente model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
	 
	  public function actionList()
    {
        return $this->render('list');
    }
	
    public function actionCreate()
    {
        $model = new Paciente();
		$model->pac_del=0;
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
			if(!$model->pac_del){
			$model->pac_nombre_resp=$model->pac_nombre;
			$model->save();	
			}
            return $this->redirect(['/cita/create/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Paciente model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/paciente/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Paciente model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Paciente model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Paciente the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Paciente::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/paciente/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\widgets\DatePicker;

/* @var $this yii\web\View */
/* @var $model app\models\Paciente */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="paciente-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'pac_nombre')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'pac_rut')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'pac_telefono')->textInput() ?>

    <?= $form->field($model, 'pac_direccion')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'pac_correo')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'pac_fecha_nac')->widget(DatePicker::classname(), [
					'options' => ['placeholder' => $model->pac_fecha_nac],
					'readonly' => true,
					'pluginOptions' => [
						'autoclose'=>true,
						'format' => 'yyyy-mm-dd',
						'startDate' => date('Y-m-d')
					 ]]) ?>

    <?= $form->field($model, 'pac_nombre_resp')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'pac_del')->hiddenInput()->label(false) ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success col-xs-12']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/paciente/_form_create.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Cita;
use kartik\widgets\DatePicker;
use yii\widgets\Bootstrap;

/* @var $this yii\web\View */
/* @var $model app\models\Paciente */
/* @var $form yii\widgets\ActiveForm */
$resp=[
	0 => 'Mismo Paciente',
    1 => 'Otro',
];
?>
<div class="paciente-form">
	<?php $form = ActiveForm::begin(["action"=>$_SERVER['SCRIPT_NAME'].'/paciente/create']); ?>
	<div class="panel panel-primary">
		<div class="panel-heading">Datos del Paciente</div>
		<div class="panel-body" >
			<div class="col-xs-9 form-horizontal" style="width: 40%" >
				<?= $form->field($model, 'pac_nombre')->textInput(['maxlength' => true, 'placeholder' =>'Ingrese el nombre del Paciente']) ?>
				<?= $form->field($model, 'pac_rut')->textInput(['maxlength' => true,'placeholder' =>'Ej: 99.999.999-9']) ?>
			</div>
			<div class="col-xs-9 form-horizontal" style="width: 10%" >
			</div>
			<div class="col-xs-9 form-horizontal"style="width: 40%" >
				<?= $form->field($model, 'pac_fecha_nac')->widget(DatePicker::classname(), [
					'options' => ['placeholder' => 'Elija la fecha de nacimiento' ],
					'readonly' => true,
					'pluginOptions' => [
						'autoclose'=>true,
						'format' => 'yyyy-mm-dd'
					 ]]) ?>
			</div>		
		</div>		
	</div>
    <div class="panel panel-primary">
		<div class="panel-heading">Datos de Contacto</div>
		<div class="panel-body" >
			<div class="col-xs-9 form-horizontal" style="width: 40%" >
				<?= $form->field($model, 'pac_telefono')->textInput() ?>
			<?= $form->field($model, 'pac_direccion')->textInput(['maxlength' => true]) ?>
			</div>
			<div class="col-xs-9 form-horizontal" style="width: 10%" >
			</div>
			<div class="col-xs-9 form-horizontal"style="width: 40%" >
				<?= $form->field($model, 'pac_correo')->textInput(['maxlength' => true,'placeholder' =>'ejemplo@correo.cl' ]) ?>
			<?= $form->field($model, 'pac_del')->dropDownList($resp, 
						 [
						  'onchange'=>'
							$.post( "'.Yii::$app->urlManager->createUrl('post/lists?id=').'"+$(this).val(), function( data ) {
							  $( "select#title" ).html( data );
							});
						'])
				?>
			<?= $form->field($model, 'pac_nombre_resp')->textInput(['maxlength' => true,'placeholder' =>'No es necesario si marcó Mismo Paciente']) ?>
			</div>		
		</div>		
	</div>
  
	<div class="col-lg-12">
		<div class="row">
			<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-5', 'style' => 'margin-bottom: 10px']) ?>
			<div class="spacer col-xs-2"></div>		
			
			<?= Html::submitButton('Ingresar', ['class' => 'btn btn-success col-xs-5', 'style' => 'margin-bottom: 10px']) ?>	
			
		</div>
	</div>
    <?php ActiveForm::end(); ?>
</div>

views/paciente/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\PacienteSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="paciente-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'pac_codigo') ?>

    <?= $form->field($model, 'pac_nombre') ?>

    <?= $form->field($model, 'pac_rut') ?>

    <?= $form->field($model, 'pac_telefono') ?>

    <?= $form->field($model, 'pac_direccion') ?>

    <?php // echo $form->field($model, 'pac_correo') ?>

    <?php // echo $form->field($model, 'pac_fecha_nac') ?>

    <?php // echo $form->field($model, 'pac_nombre_resp') ?>

    <?php // echo $form->field($model, 'pac_del') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/paciente/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\Paciente */

$this->title = 'Ingresar Paciente';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	$session = Yii::$app->session;
	$session->set('pacient',1);
?>
<div class="paciente-create">
    <h1><?= Html::encode($this->title) ?></h1>
    <?= $this->render('_form_create', [
        'model' => $model,
    ]) ?>
	
</div>

views/paciente/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use kartik\mpdf\Pdf;
use app\models\Paciente;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;

$pacientes=ArrayHelper::map(Paciente::find()->All(), 'pac_codigo', 'pac_nombre');
/* @var $this yii\web\View */
/* @var $searchModel app\models\PacienteSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */
if(Yii::$app->user->identity->usu_tipo=='Administrador/a'){
?>
<?= Html::a("Generar Informe de Pacientes",['/paciente/indexpdf'],['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px; background-color:orange;color:black;']) ?>

				<?php
}
				$this->title = 'Pacientes';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	
	
?>
 


</br>

<div class="paciente-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'pac_codigo',
            'pac_nombre',
            'pac_rut',
            //'pac_telefono',
            //'pac_direccion',
            'pac_correo',
            'pac_fecha_nac',
            'pac_nombre_resp',
            //'pac_del',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px']) ?>

views/paciente/indexpdf.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use kartik\mpdf\Pdf;
use app\models\Paciente;
use yii\helpers\ArrayHelper;
use yii\widgets\ActiveForm;
use Mpdf\Mpdf;


/* @var $this yii\web\View */
/* @var $searchModel app\models\PacienteSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Pacientes';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	
	$mpdf = new \Mpdf\Mpdf();
	ob_start();
?>
 


</br>

<div class="paciente-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'pac_codigo',
            'pac_nombre',
            'pac_rut',
            //'pac_telefono',
            //'pac_direccion',
            'pac_correo',
            'pac_fecha_nac',
            'pac_nombre_resp',
            //'pac_del',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
<?php
$html = ob_get_contents();
ob_end_clean();
$mpdf->WriteHTML($html);
$mpdf->Output();
exit;
?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>",
				Yii::$app->homeUrl,['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px']) ?>

views/paciente/list.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Paciente;

$pacientes=Paciente::find()->all();

/* @var $this yii\web\View */
/* @var $model app\models\Paciente */
/* @var $form yii\widgets\ActiveForm */
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
?>

<div class="paciente-form">

 <?php
 for($i=0;$i<sizeof($pacientes);$i++){
	 
	 ?>
	 <?= Html::a($pacientes[$i]->pac_nombre, ['/paciente/update/'.$pacientes[$i]->pac_codigo],[''=>'','class'=>'btn btn-lg btn-success']) ?>
	 </br>
 <?php
	 }
 ?>

</div>

views/paciente/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Paciente */

$this->title = 'Editar Paciente: '.$model->pac_rut;
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
?>
</br>

<div class="paciente-update">

    <h1><?= Html::encode($this->title) ?></h1>
	<div class="panel panel-primary">
		<div class="panel-body" >
			 <?= $this->render('_form', [
				'model' => $model,
			]) ?>
		</div>		
	</div>
   

</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>", 
['/paciente/'],['class'=>'btn btn-primary col-xs-12', 'style' => 'margin-bottom: 10px']) ?>

views/paciente/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use Mpdf\Mpdf;
/* @var $this yii\web\View */
/* @var $model app\models\Paciente */
if(Yii::$app->user->identity->usu_tipo=='Administrador/a'){
echo Html::a('Generar PDF',['/paciente/viewpdf/'.$model->pac_codigo], ['class' => 'btn btn-primary col-xs-6','style'=>'background-color:orange;color:black;']);

echo Html::a('Generar Informe de las citas',['/paciente/viewpdf2/'.$model->pac_codigo], ['class' => 'btn btn-primary col-xs-6','style'=>'background-color:orange;color:black;']);
$this->title = 'Datos del Paciente';
}
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	
?>
</br>

<div class="paciente-view">
    <h1><?= Html::encode($this->title) ?></h1>
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            //'pac_codigo',
            'pac_nombre',
            'pac_rut',
            'pac_telefono',
            'pac_direccion',
            'pac_correo',
            'pac_fecha_nac',
            'pac_nombre_resp',
            //'pac_del',
        ],
    ]) ?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>", ['/paciente/'],['class'=>'btn btn-primary col-xs-12']) ?>
</br>
</br>
</br>

views/paciente/viewpdf.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use Mpdf\Mpdf;

/* @var $this yii\web\View */
/* @var $model app\models\Paciente */

$this->title = 'Datos del Paciente';
//$this->title = $model -> pac_nombre;
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	$mpdf = new \Mpdf\Mpdf();
	ob_start();
?>
</br>

<div class="paciente-view">
    <h1><?= Html::encode($this->title) ?></h1>
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            //'pac_codigo',
			'pac_nombre',
            'pac_rut',
            'pac_telefono',
            'pac_direccion',
            'pac_correo',
            'pac_fecha_nac',
            'pac_nombre_resp',
            //'pac_del',
        ],
    ]) ?>
<?php
$html = ob_get_contents();
ob_end_clean();
$mpdf->WriteHTML($html);
$mpdf->Output();
exit;
?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>", ['/paciente/'],['class'=>'btn btn-primary col-xs-12']) ?>

views/paciente/viewpdf2.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use Mpdf\Mpdf;
use app\models\Cita;
use app\models\Vacuna;

$citas=cita::find()->where('pac_codigo='.$model->pac_codigo)->all();
/* @var $this yii\web\View */
/* @var $model app\models\Paciente */

$this->title = 'Citas del Paciente: '.$model->pac_nombre;
//$this->title = $model -> pac_nombre;
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	$mpdf = new \Mpdf\Mpdf();
	ob_start();
?>
</br>

<div class="paciente-view">
    <h1><?= Html::encode($this->title) ?></h1>
    <table class="table">
    <thead>
      <tr>
		<th>Fecha de la cita</th>
		<th>Hora</th>
        <th>Vacuna</th>
      </tr>
    </thead>
    <tbody>
	<?php for($i=0;$i<sizeof($citas);$i++){
		$vacuna=Vacuna::find()->where('vac_codigo='.$citas[$i]->vac_codigo)->one();
?>
      <tr>
        <td><?= $citas[$i]->cit_fecha ?></td>
        <td><?= $citas[$i]->cit_hora ?></td>
        <td><?= $vacuna->vac_nombre ?></td>
      </tr>
	<?php } ?>
    </tbody>
  </table>
  
<?php
$html = ob_get_contents();
ob_end_clean();
$mpdf->WriteHTML($html);
$mpdf->Output();
exit;
?>
</div>
<?= Html::a("<i class='glyphicon glyphicon-chevron-left'></i>", ['/paciente/'],['class'=>'btn btn-primary col-xs-12']) ?>